from django.contrib.auth.models import Group
from django.contrib.postgres.fields import ArrayField
from django.db import models


class Role(Group):
    uuid = models.CharField(max_length=32, db_index=True)
    description = models.TextField(default='')
    details = models.TextField(default='')
    emails = ArrayField(models.CharField(max_length=128), default=list)
    emails_to_members = models.BooleanField(default=True)

    objects = models.Manager()
